Bug 304661 - Calling dlopen on /usr/lib/debug/lib/security/pam_krb5.so.debug causes segmentation fault
Calling dlopen on /usr/lib/debug/lib/security/pam_krb5.so.debug causes segmen...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-09-25 05:20 EDT by Jan Lieskovsky
Modified: 2007-11-16 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-26 03:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2007-09-25 05:20:24 EDT
Description of problem:
Run the "dlopen.sh" script provided in BZ#227097 on the debug pam_krb5.so
library and try to load it:

# ./dlopen.sh /usr/lib/debug/lib/security/pam_krb5.so.debug
./dlopen.sh: line 81: 20519 Segmentation fault      $tempdir/dlopen $modules

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the "dlopen.sh" script from BZ#227097
2. # locate pam_krb5.so.debug
3.  # ./dlopen.sh /usr/lib/debug/lib/security/pam_krb5.so.debug
./dlopen.sh: line 81: 20519 Segmentation fault      $tempdir/dlopen $modules
Actual results:
Segmentation fault

Expected results:
Successful or unsuccessful pam_krb5.so.debug load or message the process
is unable to load the library. No crash.

Additional info:
This bug was discovered as part of the cycle of the RHEA-2007:0790 advisory
Comment 1 Nalin Dahyabhai 2007-09-25 15:25:29 EDT
Do we even expect this to work? The debuginfo file, so far as I can tell,
doesn't include its text segment.  Moving to glibc to get some input.
Comment 2 Jakub Jelinek 2007-09-26 03:36:21 EDT
Yes, this is to be expected, garbage in, garbage out.
*.so.debug are not shared libraries, they are separate debug info data.

Note You need to log in before you can comment on or make changes to this bug.